package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.analyze.SchoolParams;
import com.xhkjedu.sapi.vo.region.AccessVo;
import com.xhkjedu.sapi.vo.region.RegionParam;
import com.xhkjedu.sapi.vo.region.ResourceTypeVo;
import com.xhkjedu.sapi.vo.region.SWorkVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname SAnalyzeMapper
 * @description 
 * @date 2021/6/24 11:49
 **/
@Repository
public interface SAnalyzeMapper {
    //获取试题科目统计
    List<ResourceTypeVo> listQuestionSubjectNum(Integer schoolid);

    //获取资源类型统计
    List<ResourceTypeVo> listResourceTypeNum(Integer schoolid);
    
    //获取资源格式统计
    List<ResourceTypeVo> listResourceClassNum(Integer schoolid);

    //获取资源科目统计
    List<ResourceTypeVo> listResourceSubjectNum(Integer schoolid);

    //获取班级、教师、学生总量
    List<Map> listClassTeacherStudent(@Param("param") SchoolParams param);
    //近一个月访问统计
    List<AccessVo> listAccess(Integer schoolid, Integer begintime, Integer endtime);

    //近一个月应用监控统计
    List<AccessVo> listAppMonitorMonth(Integer schoolid, Integer begintime, Integer endtime);
    //近一个月教学统计——作业提交率
    List<SWorkVo> listPaperCommitMonth(@Param("param") RegionParam param);
    //近一个月教学统计——预习提交率
    List<SWorkVo> listGuideCommitMonth(@Param("param") RegionParam param);

    //近一个月课堂使用情况统计——使用次数
    List<SWorkVo> listRoomNumMonth(@Param("param") RegionParam param);
    //近一个月课堂使用情况统计——课堂互动
    List<Map> listRoomAskNumMonth(@Param("param") RegionParam param);
}
